
From: Alan Cox <alan@redhat.com>



Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/kernel-parameters.txt |   11 +++++++++++
 1 files changed, 11 insertions(+)

diff -puN Documentation/kernel-parameters.txt~misrouted-irq-recovery-docs Documentation/kernel-parameters.txt
--- 25/Documentation/kernel-parameters.txt~misrouted-irq-recovery-docs	2004-09-11 17:26:26.153658736 -0700
+++ 25-akpm/Documentation/kernel-parameters.txt	2004-09-11 17:26:26.157658128 -0700
@@ -541,6 +541,17 @@ running once the system is up.
 	ips=		[HW,SCSI] Adaptec / IBM ServeRAID controller
 			See header of drivers/scsi/ips.c.
 
+	irqfixup=	[IA-32] Attempt to handle misrouted interrupts
+			Use this option if your machine reports stuck IRQ's
+			and booting with acpi=off has not helped.
+
+	irqpoll=	[IA-32] Handle misrouted and lost interrupts
+			Use this option if your machine has hardware whose
+			interrupts are not being delivered. This polls the
+			IRQ handlers each timer tick, which while having a
+			performance impact may make otherwise broken
+			hardware usable.
+
 	isapnp=		[ISAPNP]
 			Format: <RDP>, <reset>, <pci_scan>, <verbosity>
 
_
